OTBCLI_STEREOFRAMEWORK(1)

NAME
otbcli_StereoFramework - OTB StereoFramework application

DESCRIPTION
This is the StereoFramework application, version 5.2.0 Compute the ground elevation based on one or multiple stereo pair(s)

Complete documentation: http://www.orfeo-toolbox.org/Applications/StereoFramework.html

  Parameters:

-progress
    <boolean> Report progress

 -input.il <string list> Input images list (mandatory)

-input.co
    <string> Couples list (optional, off by default)

-input.channel
    <int32> Image channel used for the block matching (mandatory, default value is 1)

-elev.dem
    <string> DEM directory (optional, off by default)

-elev.geoid
    <string> Geoid File (optional, off by default)

-elev.default
    <float> Default elevation (mandatory, default value is 0)

-output.res
    <float> Output resolution (mandatory, default value is 1)

-output.nodata
    <float> NoData value (optional, on by default, default value is -32768)

-output.fusionmethod
    <string> Method to fuse measures in each DSM cell [max/min/mean/acc] (mandatory, default value is max)

 -output.out <string> [pixel] Output DSM [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-output.mode
    <string> Parameters estimation modes [fit/user] (mandatory, default value is fit)

-output.mode.user.ulx
    <float> Upper Left X (mandatory)

-output.mode.user.uly
    <float> Upper Left Y (mandatory)

-output.mode.user.sizex
    <int32> Size X (mandatory)

-output.mode.user.sizey
    <int32> Size Y (mandatory)

-output.mode.user.spacingx <float>
    Pixel Size X (mandatory)

-output.mode.user.spacingy <float>
    Pixel Size Y (mandatory)

-map
    <string> Output Cartographic Map Projection [utm/lambert2/lambert93/wgs/epsg] (mandatory, default value is wgs)

-map.utm.zone
    <int32> Zone number (mandatory, default value is 31)

-map.utm.northhem
    <boolean> Northern Hemisphere (optional, off by default)

-map.epsg.code
    <int32> EPSG Code (mandatory, default value is 4326)

-stereorect.fwdgridstep
    <int32> Step of the displacement grid (in pixels) (optional, on by default, default value is 16)

-stereorect.invgridssrate
    <int32> Sub-sampling rate for epipolar grid inversion (optional, on by default, default value is 10)

-bm.metric
    <string> Block-matching metric [ssdmean/ssd/ncc/lp] (mandatory, default value is ssdmean)

-bm.metric.lp.p
    <float> p value (mandatory, default value is 1)

-bm.radius
    <int32> Radius of blocks for matching filter (in pixels) (optional, on by default, default value is 2)

-bm.minhoffset
    <float> Minimum altitude offset (in meters) (mandatory, default value is -20)

-bm.maxhoffset
    <float> Maximum altitude offset (in meters) (mandatory, default value is 20)

-postproc.bij
    <boolean> Use bijection consistency in block matching strategy (optional, on by default)

-postproc.med
    <boolean> Use median disparities filtering (optional, off by default)

-postproc.metrict
    <float> Correlation metric threshold (optional, off by default, default value is 0.6)

-mask.left
    <string> Input left mask (optional, off by default)

-mask.right
    <string> Input right mask (optional, off by default)

-mask.variancet
    <float> Discard pixels with low local variance (optional, on by default, default value is 50)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_StereoFramework -input.il sensor_stereo_left.tif sensor_stereo_right.tif -elev.default 200 -stereorect.fwdgridstep 8 -stereorect.invgridssrate 4 -postproc.med 1 -output.res 2.5 -output.out dem.tif

SEE ALSO
The full documentation for otbcli_StereoFramework is maintained as a Texinfo manual. If the info and otbcli_StereoFramework programs are properly installed at your site, the command

    info otbcli_StereoFramework

should give you access to the complete manual.